Liferay.Loader.define("content-dashboard-web@1.0.68/js/components/Sidebar", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$classnames', 'frontend-js-react-web', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.SidebarContext = void 0;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _frontendJsReactWeb = require("frontend-js-react-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var SidebarContext = /*#__PURE__*/_react.default.createContext();

    exports.SidebarContext = SidebarContext;

    var noop = function noop() {};

    var SidebarBody = function SidebarBody(_ref) {
      var children = _ref.children,
          className = _ref.className;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: (0, _classnames.default)('sidebar-body', className)
        }, children)
      );
    };

    var SidebarHeader = function SidebarHeader(_ref2) {
      var title = _ref2.title;

      var _useContext = (0, _react.useContext)(SidebarContext),
          onClose = _useContext.onClose;

      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "sidebar-header"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentRow, {
          className: "sidebar-section",
          verticalAlign: "center"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
          expand: true
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "font-weight-bold text-truncate-inline"
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "text-truncate"
        }, title))), /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, null, /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          className: "component-action",
          displayType: "unstyled",
          onClick: onClose,
          symbol: "times-small"
        }))))
      );
    };

    var Sidebar = function Sidebar(_ref3) {
      var children = _ref3.children,
          _ref3$onClose = _ref3.onClose,
          onClose = _ref3$onClose === void 0 ? noop : _ref3$onClose,
          _ref3$open = _ref3.open,
          open = _ref3$open === void 0 ? true : _ref3$open;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          isOpen = _useState2[0],
          setIsOpen = _useState2[1];

      var delay = (0, _frontendJsReactWeb.useTimeout)(); // Wait until the component is rendered to show it so animation happens

      (0, _react.useEffect)(function () {
        if (open !== false) {
          delay(function () {
            return setIsOpen(true);
          }, 100);
        } else {
          setIsOpen(false);
        }
      }, [delay, open]);
      (0, _react.useEffect)(function () {
        if (isOpen) {
          document.body.classList.add('sidebar-open');
        } else {
          document.body.classList.remove('sidebar-open');
        }
      }, [isOpen]);
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "content-dashboard sidebar sidebar-light sidebar-sm"
        }, /*#__PURE__*/_react.default.createElement(SidebarContext.Provider, {
          value: {
            onClose: onClose
          }
        }, children))
      );
    };

    Sidebar.Body = SidebarBody;
    Sidebar.Header = SidebarHeader;
    var _default = Sidebar;
    exports.default = _default;
    //# sourceMappingURL=Sidebar.js.map
  }
});
//# sourceMappingURL=Sidebar.js.map