Liferay.Loader.define("layout-content-page-editor-web@2.0.169/page_editor/app/utils/dragAndDrop/toControlsId", ['module', 'exports', 'require', '../../components/layout-data-items/Collection', '../../config/constants/layoutDataItemTypes'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = toControlsId;

    var _Collection = require("../../components/layout-data-items/Collection");

    var _layoutDataItemTypes = require("../../config/constants/layoutDataItemTypes");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */

    /**
     * Translates the given item ID into a collectionId-itemId if the item is
     * inside a collection. Otherwise, returns the plain itemId.
     * @param {{current: object}} layoutDataRef
     * @param {object} item
     * @return {string}
     */
    function toControlsId(layoutDataRef, item) {
      var baseItem = item;

      return function computeControlsId(layoutDataRef, item) {
        var parent = layoutDataRef.current.items[item.parentId];

        if (item.type === _layoutDataItemTypes.LAYOUT_DATA_ITEM_TYPES.collectionItem && baseItem.collectionItemIndex && parent) {
          return (0, _Collection.getToControlsId)(parent.itemId, baseItem.collectionItemIndex)(baseItem.itemId);
        } else if (parent) {
          return computeControlsId(layoutDataRef, parent);
        }

        return baseItem.itemId;
      }(layoutDataRef, item);
    }
    //# sourceMappingURL=toControlsId.js.map
  }
});
//# sourceMappingURL=toControlsId.js.map